# Przykład wyzwalacza

DELIMITER //

# Usuwa wiersze z tabeli Pozycje_zamowione przed usunięciem zamówienia 
# w celu uniknięcia błędów integralności danych.
CREATE TRIGGER Usun_pozycje_zamowione 
BEFORE DELETE ON Zamowienia FOR EACH ROW
BEGIN
  DELETE FROM Pozycje_zamowione WHERE OLD.ZamowienieID = ZamowienieID;
END 
//

DELIMITER ;
